<?php
/**
* Blog page Features content
*
* @return void
* @since 1.0.0
*
* @package Gutenbiz Blog
*/?>
<section class="gutenbiz-you-missed">
	<div class="container">
		<?php $ftr_featured_news = Gutenbiz_Blog_Theme::get_posts_by_type( gutenbiz_get( 'footer-featured-type' ), gutenbiz_get( 'footer-featured-cat' ), 6 );
		if( $ftr_featured_news ){ ?>
			<h2><?php echo esc_html( gutenbiz_get( 'footer-featured-title' ) ); ?></h2>
			<div class="you-may-miss-slider-init">
			<?php foreach ( $ftr_featured_news as $p ) {?>
				<div class="gutenbiz-feature-news-inner">
					<article >
						<div class="gutenbiz-missed-image-wrap" style="background-image: url( '<?php echo esc_url( get_the_post_thumbnail_url( $p ) ); ?>') , url('<?php echo esc_url( Gutenbiz_Helper::get_theme_uri( 'assets/img/default-image.jpg' ) ); ?>' )">
							<div class="gutenbiz-footer-featured-link">
								<a href="<?php echo esc_url( get_the_permalink( $p ) ); ?>"></a>
							</div>
							<?php Gutenbiz_Blog_Theme::the_category( $p ); ?>
						</div>
						<div class="gutenbiz-feature-news-content">
							<div class="date-n-cat-wrapper">
								<?php Gutenbiz_Blog_Theme::the_date( $p ); ?>							
							</div>
							<h3 class="gutenbiz-news-title">
								<a href="<?php the_permalink( $p ); ?>"><?php echo esc_html( get_the_title( $p ) );?></a>
							</h3>
							<p class="feature-news-content"><?php echo gutenbiz_blog_excerpt( gutenbiz_get( 'footer-featured-excerpt-length' ), false, '...', $p ); ?></p>
						</div>
					</article>
				</div>
			<?php } ?>
			</div>
		<?php }
		?>
	</div>
</section>