(function ($) {
	$(window).on('scroll', function () {
		if ($(window).scrollTop() > 200) {
			$('.gutenbiz-blog-scroll-to-top').show();
		} else {
			$('.gutenbiz-blog-scroll-to-top').hide();
		}
	});

	$('.gutenbiz-blog-scroll-to-top').click(function () {
		$('body,html').animate({
			scrollTop: 0,
		}, 100);
		return false;
	});

	$(document).ready(function () {
		if ($('body').hasClass('gutenbiz-blog-sticky-header')) {
			$("header .gutenbiz-bottom-header-wrapper").sticky({ topSpacing: 0 });
		}

		jQuery('.you-may-miss-slider-init').slick({
			infinite: true,
			slidesToShow: 4,
			slidesToScroll: 1,
			autoplay: true,
			autoplaySpeed: 3000,
			arrows: false,
			responsive: [
				{
					breakpoint: 1024,
					settings: {
						slidesToShow: 3,
						slidesToScroll: 1,

					}
				},
				{
					breakpoint: 600,
					settings: {
						slidesToShow: 2,
						slidesToScroll: 1
					}
				},
				{
					breakpoint: 480,
					settings: {
						slidesToShow: 1,
						slidesToScroll: 1
					}
				}

			]
		});
	});

})(jQuery);