<?php
  /**
  * Register dynamic css
  *
  * @since 1.0.0
  *
  * @package Gutenbiz Blog
  */

function gutenbiz_blog_common_css(){
	$style = array(
		 array(
			'selector' => '.pagination .nav-links > *.current, ::selection, gutenbiz-main-menu > ul > li > a:after,
			 ul.wc-block-grid__products li.wc-block-grid__product button:hover, 
			 ul.wc-block-grid__products li.wc-block-grid__product .wp-block-button__link:hover,
			#site-navigation li.menu-item:before, div#mr-mobile-menu li.menu-item:before, .gutenbiz-post .post-title a:hover,
			.gutenbiz-you-missed .gutenbiz-feature-news-inner article .gutenbiz-feature-news-content .gutenbiz-news-title a:hover, 
			#infinite-handle span, .cart-icon i:hover, .post-navigation .nav-links > div a .nav-title:hover, 
			.post-categories li a:hover, .gutenbiz-latest-news-style-one .gutenbiz-style-one-bigger .gutenbiz-style-one-bigger-inner ul.post-categories li:first-child a,
			 ul.post-categories li:first-child a, .extra-widget-area  ul li a:hover',
			'props' => array(
				'color' => 'primary-color',
			)
		),


		array(
			'selector' => '.gutenbiz-blog-scroll-to-top',
			'props' => array(
				'background-color' => 'primary-color',
			)
		),


		array(
				'selector' => '',
				'props' => array(
					'color' => 'link-color',
				)
			),
			array(
				'selector'  => 'body a, body a:visited',
				'props'		=> array(
					'color' => 'link-color',
				),
			),
			array(
				'selector'  => '.post-content-wrap p > a:hover, body a:hover, .wc-proceed-to-checkout a:hover',
				'props'		=> array(
					'color' => array(
						'value' => 'primary-color',
						'customizer' => true,
						'unit' => ' !important'
					)
				),
			),
			array(
				'selector'  => ' a.cart-icon span:hover',
				'props'		=> array(
					'color' => array(
						'value' => 'primary-color',
						'customizer' => true,
						'unit' => ' background-hover'
					)
				),
			),
	);
	Gutenbiz_Css::add_styles( $style, 'md' );
}
add_action( 'init', 'gutenbiz_blog_common_css' );